%define upstream_name    DBIx-Class-Fixtures
%define upstream_version 1.001014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provides fixtures for DBIx-Class-based scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Grouped) >= 0.60.0
BuildRequires: perl(Config::Any) >= 0.80.0
BuildRequires: perl(DBIx::Class) >= 0.81.20
BuildRequires: perl(DBIx::Class::InflateColumn::FS)
BuildRequires: perl(DBIx::Class::Schema::Loader) >= 0.70.0
BuildRequires: perl(Data::Dump::Streamer) >= 2.50.0
BuildRequires: perl(Data::Visitor) >= 0.150.0
BuildRequires: perl(DateTime) >= 0.410.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Pg)
BuildRequires: perl(DateTime::Format::SQLite) >= 0.100.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Copy::Recursive) >= 0.350.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Hash::Merge) >= 0.100.0
BuildRequires: perl(JSON::Syck) >= 0.260.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Path::Class) >= 0.160.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Dump fixtures from source database to filesystem then import to another
database (with same schema) at any time. Use as a constant dataset for running
tests against or for populating development databases when impractical to use
production clones. Describe fixture set using relations and conditions based on
your DBIx::Class schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 1.1.14-1.mga2
+ Revision: 218714
- update to 1.001014

* Wed Mar 09 2011 jquelin <jquelin> 1.1.13-1.mga1
+ Revision: 66938
- update to 1.001013

* Fri Feb 25 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 59652
- update to 1.001011

* Wed Jan 26 2011 jquelin <jquelin> 1.1.10-3.mga1
+ Revision: 41061
- mageia rebuild
- imported package perl-DBIx-Class-Fixtures


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.1.10-3mdv2011.0
+ Revision: 624956
- Add SQL::Abstract as an explicit dependency
- Removed trailing dot in the summary
- import perl-DBIx-Class-Fixtures

